Download list of audit logs in csv format

Prev Next
Get
/api/audit/v1/logs/download
Security
HTTP
Type bearer
Query parameters
timezone
string

Apply timezone to audit logs

Default"UTC"
ExampleAsia/Kolkata
actor
string

Filter audit logs by actor. The value is username/loginname.

action
array of string

Filter audit logs by action.

ExampleUSER_CREATE
targetType
array of string

Filter audit logs by type of target.

ExampleUSER
target
string

Filter audit logs by particular target. It is an objectGUID of the organization,user,device,connection,group,authdomain

targetOrgId
string

Filter audit logs by target org id.

orgId
string

Filter audit logs by actor org id.

sort
array of string

Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['action', 'actor', 'targetType', 'whenCreated']

DefaultwhenCreated:DESC
Example[ "action:asc" ]
from
string

The earliest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-11-18T10:50:35+0000
to
string

The latest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-11-18T10:50:35+0000
_fields
string

Filter the specified fields in the audit logs csv file. Available values are: ['timestamp', 'userid', 'audittype', 'description', 'target']

siteId
string

The ID of a particular site to filter

Responses
200

Download list of audit logs in csv

string
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
404

Not Found

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
500

Could not download audit logs - Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean